BasicSliderUI.ComponentHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicSliderUI.ComponentHandler class
Date: 2020-03-26

javax.swing.plaf.basic

## Class BasicSliderUI.ComponentHandler

- java.lang.Object
- - java.awt.event.ComponentAdapter
  - - javax.swing.plaf.basic.BasicSliderUI.ComponentHandler

- All Implemented Interfaces:
    ComponentListener, EventListener
  Enclosing class:
    BasicSliderUI

      public class BasicSliderUI.ComponentHandler
      extends ComponentAdapter

  Listener for resizing events.

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `componentResized(ComponentEvent e)` Invoked when the component's size changes.

    - ### Methods inherited from class java.awt.event.ComponentAdapter

      `componentHidden, componentMoved, componentShown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentHandler

          public ComponentHandler()

  - ### Method Detail

    - #### componentResized

          public void componentResized(ComponentEvent e)

      Description copied from class: `ComponentAdapter`
      Invoked when the component's size changes.
      Specified by:
        `componentResized` in interface `ComponentListener`
      Overrides:
        `componentResized` in class `ComponentAdapter`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.